# Uses of Enum Class
jebl.evolution.trees.TreeBuilderFactory.DistanceModel

Packages that use TreeBuilderFactory.DistanceModel
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.trees

## Uses of TreeBuilderFactory.DistanceModel in jebl.evolution.align

Methods in jebl.evolution.align that return TreeBuilderFactory.DistanceModel
Modifier and Type
Method
Description
`static TreeBuilderFactory.DistanceModel`
SequenceAlignmentsDistanceMatrix.`getDefaultDistanceModel(List<Sequence> seqs)`
Methods in jebl.evolution.align with parameters of type TreeBuilderFactory.DistanceModel
Modifier and Type
Method
Description
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener, TreeBuilderFactory.DistanceModel model)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
Constructors in jebl.evolution.align with parameters of type TreeBuilderFactory.DistanceModel
Modifier
Constructor
Description
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model)`

## Uses of TreeBuilderFactory.DistanceModel in jebl.evolution.trees

Methods in jebl.evolution.trees that return TreeBuilderFactory.DistanceModel
Modifier and Type
Method
Description
`static TreeBuilderFactory.DistanceModel`
TreeBuilderFactory.DistanceModel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeBuilderFactory.DistanceModel[]`
TreeBuilderFactory.DistanceModel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.